All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider
Interface CommandSupportedInterface

All Known Implementing Classes:
  AddRowCommand, AdvancedFilterSelectorCommand, AdvancedFilterSelectorCommandFacade, BaseEditCommand, BaseScrollCommand, CancelCommand, CancelRowInsertCommand, ClearSortCommand, CommitCommand, CommitInsertedRowCommand, CopyCommand, CutCommand, DataItemSelectorCommand, DeleteCommand, DeleteRowCommand, ExceptionHighlightingChartCommand, ExceptionHighlightingCommand, ExportSelectorCommand, ExportToExcelCommand, FilterAndRankSelectorCommand, FindSelectorCommand, FormatSelectorCommand, GotoColumnCommand, GotoRowCommand, HideColumnCommand, HoldColumnCommand, HoldRowCommand, InsertCommand, InsertRowCommand, OpenFolderCommand, OpenFolderCommand, PasteCommand, RankingCommand, ReleaseAllColumnsCommand, ReleaseAllRowsCommand, ReleaseColumnCommand, ReleaseRowCommand, ScrollFirstColumnCommand, ScrollFirstRowCommand, ScrollLastColumnCommand, ScrollLastRowCommand, ScrollNextColumnCommand, ScrollNextColumnPageCommand, ScrollNextRowCommand, ScrollNextRowPageCommand, ScrollPreviousColumnCommand, ScrollPreviousColumnPageCommand, ScrollPreviousRowCommand, ScrollPreviousRowPageCommand, ShowAllColumnsCommand, ShowColumnCommand, ShowColumnHeaderCommand, ShowDetailSelectorCommand, ShowRowHeaderCommand, SortCommand, SortCommand, SortFoldersFirstCommand, SortFoldersFirstCommand, SortSelectorCommand, TotalsCommand, UpdateCommand

    public interface CommandSupportedInterface

This interface is implemented by commands that are not enabled under certain conditions and whose users need to know this status prior to command execution or Action rendering.

In the context of the ActionProviderFramework ( APF ), any Action whose command's isSupported() method returns false will not be surfaced to the viewer unless the Action's `returnStatus` attribute is marked `ActionStatusKeysInterface.UNSUPPORTED`.

Note: This interface should only be used for simple cases where there are not varying reasons why a command is disabled. Instead, use the CommandStatusInterface which allows a command to return status keys that describe why a command is disabled.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.0
See Also:
  `CommandStatusInterface`, `BaseAction.setReturnStatus(int)`

Method Summary
`boolean` | `isSupported(ActionSupportFilter filter)` Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.

Method Detail

### isSupported

    boolean isSupported(ActionSupportFilter filter)

  Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.

  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    a boolean indicating whether the command is supported
  See Also:
    `BaseAction.setReturnStatus(int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.